Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.F	(revision 5088)
@@ -4,5 +4,5 @@
      .                     lmt_omnat)
       USE dimphy
-      USE lmdz_netcdf, ONLY: nf_close,nf_noerr,nf_inq_varid,nf_open,nf_nowrite,nf90_get_var
+      USE netcdf, ONLY: nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite,nf90_get_var
       IMPLICIT none
 !
@@ -34,6 +34,6 @@
       ENDIF
 !
-      ierr = NF_OPEN ("limitcarbon.nc", NF_NOWRITE, nid1)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("limitcarbon.nc", nf90_nowrite, nid1)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier limitbc.nc'
         write(6,*)' ierr = ', ierr
@@ -48,11 +48,11 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCFF", nvarid)
       ierr = nf90_get_var(nid1, nvarid, lmt_bcff, debut, epais)
 !      print *,'IERR = ',ierr
-!      print *,'NF_NOERR = ',NF_NOERR
+!      print *,'nf90_noerr = ',nf90_noerr
 !      print *,'debut = ',debut
 !      print *,'epais = ',epais
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC'
          CALL exit(1)
@@ -60,7 +60,7 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "BCBB", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBB", nvarid)
       ierr = nf90_get_var(nid1, nvarid, lmt_bcbb, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC-biomass'
          CALL exit(1)
@@ -68,7 +68,7 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "BCBL", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBL", nvarid)
       ierr = nf90_get_var(nid1, nvarid, lmt_bcbbl, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC low'
          CALL exit(1)
@@ -76,14 +76,14 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "BCBH", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBH", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcbbh, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC high'
          CALL exit(1)
       ENDIF
 !
-      ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
+      ierr = nf90_inq_varid (nid1, "TERP", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_terp, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources Terpene'
          CALL exit(1)
@@ -91,7 +91,7 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "BC_penner", nvarid)
+      ierr = nf90_inq_varid (nid1, "BC_penner", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bc_penner, debut,  epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC Penner'
          CALL exit(1)
@@ -99,7 +99,7 @@
 !
 !
-      ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMFF", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_omff, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources om-ifossil'
          CALL exit(1)
@@ -114,5 +114,5 @@
       ENDDO
 !
-      ierr = NF_CLOSE(nid1)
+      ierr = nf90_close(nid1)
       PRINT*, 'Carbon sources lues pour jour: ', jour
 !
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.F	(revision 5088)
@@ -6,5 +6,5 @@
       USE mod_phys_lmdz_para
       USE dimphy
-      USE lmdz_netcdf, ONLY:nf90_get_var,nf_close,nf_noerr,nf_inq_varid,nf_open,nf_nowrite
+      USE netcdf, ONLY:nf90_get_var,nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite
       IMPLICIT none
 c
@@ -57,6 +57,6 @@
 !=======================================================================
 !
-      ierr = NF_OPEN ("carbon_emissions.nc", NF_NOWRITE, nid1)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("carbon_emissions.nc", nf90_nowrite, nid1)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier limitbc.nc'
         write(6,*)' ierr = ', ierr
@@ -66,7 +66,7 @@
 ! BC emissions from fossil fuel combustion
 !
-      ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCFF", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcff_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC'
          CALL exit(1)
@@ -77,7 +77,7 @@
 ! BC emissions from non fossil fuel combustion
 !
-      ierr = NF_INQ_VARID (nid1, "BCNFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCNFF", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcnff_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC'
          CALL exit(1)
@@ -86,7 +86,7 @@
 ! Low BC emissions from biomass burning
 !
-      ierr = NF_INQ_VARID (nid1, "BCBBL", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBBL", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcbbl_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC low'
          CALL exit(1)
@@ -95,7 +95,7 @@
 ! High BC emissions from biomass burning
 !
-      ierr = NF_INQ_VARID (nid1, "BCBBH", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBBH", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcbbh_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC high'
          CALL exit(1)
@@ -104,7 +104,7 @@
 ! BC emissions from ship transport
 !
-      ierr = NF_INQ_VARID (nid1, "BCBA", nvarid)
+      ierr = nf90_inq_varid (nid1, "BCBA", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_bcba_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources BC'
          CALL exit(1)
@@ -119,7 +119,7 @@
 ! OM emissions from fossil fuel combustion
 !
-      ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMFF", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_omff_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources OM'
          CALL exit(1)
@@ -128,7 +128,7 @@
 ! OM emissions from non fossil fuel combustion
 !
-      ierr = NF_INQ_VARID (nid1, "OMNFF", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMNFF", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_omnff_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources OM'
          CALL exit(1)
@@ -137,7 +137,7 @@
 ! Low OM emissions from biomass burning - low
 !
-      ierr = NF_INQ_VARID (nid1, "OMBBL", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMBBL", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_ombbl_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources OM low'
          CALL exit(1)
@@ -146,7 +146,7 @@
 ! High OM emissions from biomass burning - high
 !
-      ierr = NF_INQ_VARID (nid1, "OMBBH", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMBBH", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_ombbh_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources OM high'
          CALL exit(1)
@@ -155,7 +155,7 @@
 ! High OM emissions from ship
 !
-      ierr = NF_INQ_VARID (nid1, "OMBA", nvarid)
+      ierr = nf90_inq_varid (nid1, "OMBA", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_omba_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources OM ship'
          CALL exit(1)
@@ -164,7 +164,7 @@
 ! Natural Terpene emissions => Natural OM emissions
 !
-      ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
+      ierr = nf90_inq_varid (nid1, "TERP", nvarid)
       ierr = nf90_get_var (nid1, nvarid, lmt_terp_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources Terpene'
          CALL exit(1)
@@ -175,5 +175,5 @@
       ENDDO
 
-      ierr = NF_CLOSE(nid1)
+      ierr = nf90_close(nid1)
 !
       PRINT*, 'Carbon sources lues pour jour: ', jour
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.F	(revision 5088)
@@ -4,5 +4,5 @@
      .                     lmt_dmsbio, lmt_h2sbio, lmt_dms, lmt_dmsconc)
        USE dimphy
-       USE lmdz_netcdf, ONLY:nf_close,nf_noerr,nf_inq_varid,nf_open,nf_nowrite,nf90_get_var
+       USE netcdf, ONLY:nf90_close,nf90_noerr,nf90_inq_varid,nf90_open,nf90_nowrite,nf90_get_var
       IMPLICIT none
 c
@@ -34,6 +34,6 @@
       ENDIF
 c
-      ierr = NF_OPEN ("limitsoufre.nc", NF_NOWRITE, nid)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("limitsoufre.nc", nf90_nowrite, nid)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier limitsoufre.nc'
         write(6,*)' ierr = ', ierr
@@ -47,14 +47,14 @@
       epais(2) = 1
 c
-      ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
+      ierr = nf90_inq_varid (nid, "VOLC", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2volc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 volcan'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
+      ierr = nf90_inq_varid (nid, "ALTI", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_altvolc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les altitudes volcan'
          CALL exit(1)
@@ -63,14 +63,14 @@
       IF (edgar) THEN   !--EDGAR w/o ship and biomass burning
 c
-      ierr = NF_INQ_VARID (nid, "SO2ED95L", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2ED95L", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 edgar low'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "SO2ED95H", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2ED95H", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 edgar high'
          CALL exit(1)
@@ -79,14 +79,14 @@
       ELSE  !--GEIA 
 c
-      ierr = NF_INQ_VARID (nid, "SO2H", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2H", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 haut'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "SO2B", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2B", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 bas'
          CALL exit(1)
@@ -95,28 +95,28 @@
       ENDIF  !--edgar
 c
-      ierr = NF_INQ_VARID (nid, "SO2BB", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2BB", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2bb, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 bb'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2BA", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2ba, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 bateau'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
+      ierr = nf90_inq_varid (nid, "DMSB", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_dmsbio, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms bio'
          CALL exit(1)
       ENDIF
 c
-      ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
+      ierr = nf90_inq_varid (nid, "H2SB", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_h2sbio, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources h2s bio'
          CALL exit(1)
@@ -125,7 +125,7 @@
       IF (flag_dms==1) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSL", nvarid)
+      ierr = nf90_inq_varid (nid, "DMSL", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms liss'
          CALL exit(1)
@@ -134,7 +134,7 @@
       ELSEIF (flag_dms==2) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSW", nvarid)
+      ierr = nf90_inq_varid (nid, "DMSW", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms wann'
          CALL exit(1)
@@ -143,7 +143,7 @@
       ELSEIF (flag_dms==3) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC1", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC1", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dmsconc old'
          CALL exit(1)
@@ -152,7 +152,7 @@
       ELSEIF (flag_dms==4) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC2", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 2'
          CALL exit(1)
@@ -161,7 +161,7 @@
       ELSEIF (flag_dms==5) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC3", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC3", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 3'
          CALL exit(1)
@@ -170,7 +170,7 @@
       ELSEIF (flag_dms==6) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC4", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC4", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 4'
          CALL exit(1)
@@ -179,7 +179,7 @@
       ELSEIF (flag_dms==7) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC5", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC5", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 5'
          CALL exit(1)
@@ -188,7 +188,7 @@
       ELSEIF (flag_dms==8) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC6", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC6", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 6'
          CALL exit(1)
@@ -197,7 +197,7 @@
       ELSEIF (flag_dms==9) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC7", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC7", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 7'
          CALL exit(1)
@@ -206,7 +206,7 @@
       ELSEIF (flag_dms==10) THEN 
 c
-      ierr = NF_INQ_VARID (nid, "DMSC8", nvarid)
-      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      ierr = nf90_inq_varid (nid, "DMSC8", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 8'
          CALL exit(1)
@@ -220,5 +220,5 @@
       ENDIF
 c
-      ierr = NF_CLOSE(nid)
+      ierr = nf90_close(nid)
 c
       IF (flag_dms<=2) THEN 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.F	(revision 5088)
@@ -9,5 +9,5 @@
       USE mod_phys_lmdz_para
       USE dimphy
-      USE lmdz_netcdf, ONLY: nf90_get_var,nf_inq_varid,nf_close,nf_noerr,nf_open,nf_nowrite
+      USE netcdf, ONLY: nf90_get_var,nf90_inq_varid,nf90_close,nf90_noerr,nf90_open,nf90_nowrite
       IMPLICIT none
 c
@@ -61,6 +61,6 @@
 !=======================================================================
 !
-      ierr = NF_OPEN ("sulphur_emissions_antro.nc", NF_NOWRITE, nid)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("sulphur_emissions_antro.nc", nf90_nowrite, nid)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier sulphur_emissions_antro'
         write(6,*)' ierr = ', ierr
@@ -71,7 +71,7 @@
 ! SO2 Low level emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2FF_LOW", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2FF_LOW", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2b_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 low'
         print *,'JE klon, jour, debut ,epais ',klon_glo,jour,debut,epais
@@ -83,7 +83,7 @@
 ! SO2 High level emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2FF_HIGH", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2FF_HIGH", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2h_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 high'
         CALL exit(1)
@@ -92,7 +92,7 @@
 ! SO2 Biomass burning High level emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2BBH", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2BBH", nvarid)
       ierr = nf90_get_var(nid, nvarid,  lmt_so2bb_h_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 BB high'
         CALL exit(1)
@@ -101,7 +101,7 @@
 ! SO2 biomass burning low level emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2BBL", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2BBL", nvarid)
       ierr = nf90_get_var(nid, nvarid,  lmt_so2bb_l_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 BB low'
         CALL exit(1)
@@ -110,7 +110,7 @@
 ! SO2 ship emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2BA", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2ba_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 ship'
         CALL exit(1)
@@ -119,18 +119,18 @@
 ! SO2 Non Fossil Fuel Emissions
 !
-      ierr = NF_INQ_VARID (nid, "SO2NFF", nvarid)
+      ierr = nf90_inq_varid (nid, "SO2NFF", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2nff_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
         PRINT*, 'Pb de lecture pour les sources so2 non FF'
         CALL exit(1)
       ENDIF
 !
-      ierr = NF_CLOSE(nid)
+      ierr = nf90_close(nid)
 !
 !=======================================================================
 !                      READING NATURAL EMISSIONS
 !=======================================================================
-      ierr = NF_OPEN ("sulphur_emissions_nat.nc", NF_NOWRITE, nid)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("sulphur_emissions_nat.nc", nf90_nowrite, nid)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier sulphur_emissions_nat'
         write(6,*)' ierr = ', ierr
@@ -140,7 +140,7 @@
 c Biologenic source of DMS
 c
-      ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
+      ierr = nf90_inq_varid (nid, "DMSB", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_dmsbio_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms bio'
          CALL exit(1)
@@ -149,7 +149,7 @@
 c Biologenic source of H2S
 c
-      ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
+      ierr = nf90_inq_varid (nid, "H2SB", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_h2sbio_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources h2s bio'
          CALL exit(1)
@@ -160,7 +160,7 @@
       IF (flag_dms==4) THEN
 c
-      ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
+      ierr = nf90_inq_varid (nid, "DMSC2", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources dms conc 2'
          CALL exit(1)
@@ -179,5 +179,5 @@
       ENDIF
 c
-      ierr = NF_CLOSE(nid)
+      ierr = nf90_close(nid)
 c
 !=======================================================================
@@ -186,6 +186,6 @@
       print *,'   ***      READING VOLCANIC EMISSIONS   ***   '
       print *,' Jour = ',jour
-      ierr = NF_OPEN ("sulphur_emissions_volc.nc", NF_NOWRITE, nid)
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
+      if (ierr/=nf90_noerr) then
         write(6,*)' Pb d''ouverture du fichier sulphur_emissions_volc'
         write(6,*)' ierr = ', ierr
@@ -195,8 +195,8 @@
 c Continuous Volcanic emissions
 c
-!      ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
-      ierr = NF_INQ_VARID (nid, "flx_volc_cont", nvarid)
+!      ierr = nf90_inq_varid (nid, "VOLC", nvarid)
+      ierr = nf90_inq_varid (nid, "flx_volc_cont", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2volc_cont_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 volcan (cont)'
          CALL exit(1)
@@ -208,8 +208,8 @@
 c Altitud of continuous volcanic emissions
 c
-!      ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
-      ierr = NF_INQ_VARID (nid, "flx_volc_altcont", nvarid)
+!      ierr = nf90_inq_varid (nid, "ALTI", nvarid)
+      ierr = nf90_inq_varid (nid, "flx_volc_altcont", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_altvolc_cont_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les altitudes volcan (cont)'
          CALL exit(1)
@@ -218,7 +218,7 @@
 c Explosive Volcanic emissions
 c
-      ierr = NF_INQ_VARID (nid, "flx_volc_expl", nvarid)
+      ierr = nf90_inq_varid (nid, "flx_volc_expl", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_so2volc_expl_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les sources so2 volcan (expl)'
          CALL exit(1)
@@ -230,7 +230,7 @@
 c Altitud of explosive volcanic emissions
 c
-      ierr = NF_INQ_VARID (nid, "flx_volc_altexpl", nvarid)
+      ierr = nf90_inq_varid (nid, "flx_volc_altexpl", nvarid)
       ierr = nf90_get_var(nid, nvarid, lmt_altvolc_expl_glo, debut, epais)
-      IF (ierr /= NF_NOERR) THEN
+      IF (ierr /= nf90_noerr) THEN
          PRINT*, 'Pb de lecture pour les altitudes volcan'
          CALL exit(1)
@@ -238,5 +238,5 @@
 !      lmt_altvolc_expl(:)=0.0
 
-      ierr = NF_CLOSE(nid)
+      ierr = nf90_close(nid)
 c
       PRINT*, 'Sources SOUFRE lues pour jour: ', jour
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5088)
@@ -390,5 +390,5 @@
     USE ioipsl, ONLY: histend, histsync
     USE iophy, ONLY: set_itau_iophy, histwrite_phy
-    USE lmdz_netcdf, ONLY: nf90_fill_real
+    USE netcdf, ONLY: nf90_fill_real
     ! ug Pour les sorties XIOS
     USE lmdz_xios, ONLY: xios_update_calendar, using_xios
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5088)
@@ -4568,5 +4568,5 @@
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
-      USE lmdz_netcdf, ONLY:nf_open,nf_close,nf_inq_varid,nf_nowrite,nf_noerr,nf90_get_var
+      USE netcdf, ONLY:nf90_open,nf90_close,nf90_inq_varid,nf90_nowrite,nf90_noerr,nf90_get_var
       IMPLICIT NONE
 
@@ -4587,6 +4587,6 @@
       IF (is_mpi_root .AND. is_omp_root) THEN
           !nci=NCOPN(trim(adjustl(filescaleparams)),NCNOWRIT,rcode)
-         ierr = NF_OPEN (trim(adjustl(filescaleparams)),NF_NOWRITE, nid)
-          if (ierr == NF_NOERR) THEN
+         ierr = nf90_open (trim(adjustl(filescaleparams)),nf90_nowrite, nid)
+          if (ierr == nf90_noerr) THEN
           debutread=step_sca
           countread=1
@@ -4596,7 +4596,7 @@
             varname= trim(adjustl(paramname))//aux_2s
             print *,varname
-            ierr = NF_INQ_VARID (nid,trim(adjustl(varname)), nvarid)
+            ierr = nf90_inq_varid (nid,trim(adjustl(varname)), nvarid)
             ierr = nf90_get_var (nid, nvarid, auxreal, debutread, countread)
-            IF (ierr /= NF_NOERR) THEN
+            IF (ierr /= nf90_noerr) THEN
              PRINT*, 'Pb de lecture pour modvalues'
        print *,'JE  scale_var, step_sca',trim(adjustl(varname)),step_sca
@@ -4611,5 +4611,5 @@
            enddo
 
-            ierr = NF_CLOSE(nid)
+            ierr = nf90_close(nid)
           else
            print *,'File '//trim(adjustl(filescaleparams))//' not found'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.F	(revision 5088)
@@ -3,5 +3,5 @@
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
-      USE lmdz_netcdf, ONLY:nf90_get_var
+      USE netcdf, ONLY:nf90_get_var
       IMPLICIT NONE 
 c
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5088)
@@ -10,5 +10,5 @@
        USE mod_phys_lmdz_para
        USE iophy
-       USE lmdz_netcdf, ONLY:nf_inq_varid,nf_noerr,nf90_get_var
+       USE netcdf, ONLY:nf90_inq_varid,nf90_noerr,nf90_get_var
        IMPLICIT NONE
 
@@ -61,8 +61,8 @@
        if (i==4) aux4s='Latu'
        if (i==5) aux4s='latU'
-       status = NF_INQ_VARID (ncid, aux4s, rcode)
+       status = nf90_inq_varid (ncid, aux4s, rcode)
 !       print *,'stat,i',status,i,outcycle,aux4s
-!       print *,'ifclause',status.NE. NF_NOERR ,outcycle == .false.
-       IF ((.not.(status/= NF_NOERR) ).and.( .not. outcycle )) THEN
+!       print *,'ifclause',status.NE. nf90_noerr ,outcycle == .false.
+       IF ((.not.(status/= nf90_noerr) ).and.( .not. outcycle )) THEN
          outcycle=.true.
          latstr=aux4s
@@ -76,5 +76,5 @@
           status=nf90_get_var(ncid,varid,lats_glo,startj,endj)
 !      print *,latstr,varid,status,jjp1,rcode
-!      IF (status .NE. NF_NOERR) print*,'NOOOOOOO'
+!      IF (status .NE. nf90_noerr) print*,'NOOOOOOO'
 !      print *,lats
 !stop
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.F	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.F	(revision 5088)
@@ -3,5 +3,5 @@
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
-      USE lmdz_netcdf, ONLY: nf90_get_var
+      USE netcdf, ONLY: nf90_get_var
 !      USE write_field_phy
       IMPLICIT NONE 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5088)
@@ -6,5 +6,5 @@
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                       nf95_inq_varid, nf95_inquire_dimension, nf95_open
-  USE lmdz_netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
   USE mod_grid_phy_lmdz
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5088)
@@ -8,5 +8,5 @@
   USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                       nf95_inq_varid, nf95_inquire_dimension, nf95_open
-  USE lmdz_netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
+  USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
   USE mod_grid_phy_lmdz
